# GcpFontSel Struct Reference

`#include <gcp/fontsel.h>`

## Detailed Description

The GcpFontSel Widget is a font chooser widget used in GChemPaint.

## Signals

This widget has one signal:

- "changed": void user_function (GcpFontSel *fc, gpointer data).
  Parameters:

    | fc | the object which received the signal.
    | data | user data set when the signal handler was connected.

  This signal is raised when any property changes in the widget.

## Properties

There are six properties:

- "family": char* (Read / Write).
  The font family. Default is "Bitstream Vera Sans".

- "style": PangoStyle (Read / Write).
  The font style. Default is PANGO_STYLE_NORMAL.

- "weight": PangoWeight (Read / Write).
  The font weight. Default is PANGO_WEIGHT_NORMAL

- "variant": PangoVariant (Read / Write).
  The font variant. Default is PANGO_VARIANT_NORMAL

- "stretch": PangoStretch (Read / Write).
  The font stretch. Default is PANGO_STRETCH_NORMAL

- "size": int (Read / Write).
  The font size expressed in pango units. Default is 12*PANGO_SCALE.

The documentation for this struct was generated from the following file:

- fontsel.h